#pragma once
#include <vector>
#include <vcg/Point3.h>
#include <vcg/Matrix44.h>
#include <vcg/CIMesh.h>



class MoebiusStrip
{
public:
	MoebiusStrip(void);
	~MoebiusStrip(void);
	void Generate();
	// parameters

	int SideNum;  // 2 = strip, 3 triangular section ecc.
	float Turns;  // espresso in 2pi / SideNum. 
  float Radius; // del centro della strip
	float InnerRadius;  // largezza lato strip;
	float FilletRatio;  // lato "verticale"
  
	int StepNum;
	CIMesh Ring;
	bool Empty() const {return Ring.Empty();}
	void Clear();
	void GenerateRing(const vector<Point3f> &SectionP, const vector<Point3f> &SectionN);
  void GenerateSection( vector<Point3f> &SP,  vector<Point3f> &SN, int side ,float radius, float filletratio);

};
